#include "TestService.h"
#include <iostream>

ADTF_PLUGIN("Test Service in plugindescription", TestService);

TestService::TestService()
{
    SetDefaultRunlevel(tADTFRunLevel::RL_Session);
    SetDescription("Use this System Service to print signal updates (e.g. send by 'Demo Signal Provider', see Filters.");
    SetHelpLink("$(ADTF_DIR)/doc/adtf_html/page_demo_signal_listener.html");

    LOG_INFO("CTOR TEST SERVICE");
}

tResult TestService::ServiceInit()
{
    cADTFService::ServiceInit();
    LOG_INFO("INIT TEST SERVICE");
    RETURN_NOERROR;
}

tResult TestService::ServiceShutdown()
{
    LOG_INFO("SHUTDOWN TEST SERVICE");
    return cADTFService::ServiceShutdown();
}

