#pragma once

#include <adtf_systemsdk.h>

using namespace adtf::util;
using namespace adtf::ucom;
using namespace adtf::base;
using namespace adtf::streaming;
using namespace adtf::system;
using namespace adtf::services;

#define CID_TEST_ADTF_SERVICE "test.service.adtf.cid"

class TestService : public cADTFService
{
    public:
        ADTF_CLASS_ID_NAME(TestService, CID_TEST_ADTF_SERVICE, "Test Service");
        ADTF_CLASS_DEPENDENCIES(PROVIDE_INTERFACE(IFoo));
        
        TestService();

        virtual tResult ServiceInit() override;
        virtual tResult ServiceShutdown() override;
};

